=head1 DBD::MariaDB - database driver for Perl

=begin html

<p>
<a href="https://github.com/perl5-dbi/DBD-MariaDB/actions/workflows/ci.yaml">
<img src="https://github.com/perl5-dbi/DBD-MariaDB/actions/workflows/ci.yaml/badge.svg?branch=master"
  alt="Github Actions CI Build Status"></a>
<a href="https://ci.appveyor.com/project/perl5-dbi/dbd-mariadb/branch/master">
<img src="https://ci.appveyor.com/api/projects/status/github/perl5-dbi/dbd-mariadb?branch=master&amp;svg=true"
  alt="AppVeyor Build Status"></a>
<a href="https://cirrus-ci.com/github/perl5-dbi/DBD-MariaDB/master">
<img src="https://api.cirrus-ci.com/github/perl5-dbi/DBD-MariaDB.svg?branch=master&amp;task=freebsd"
  alt="Cirrus CI FreeBSD Build Status"></a>
</p>

=end html

This is the Perl L<DBI> driver for access to MariaDB and MySQL databases.

The goal of our effort was to fix MariaDB compatibility, Perl Unicode support
and security related bugs.

This Perl DBI driver is a fork of the L<DBD::mysql> driver and was created
because said issues in the original DBD::mysql have not been addressed for more
than a year.

=head2 Usage

Usage of this Perl DBI driver is described in L<DBD::MariaDB>.

=head2 Installation

Installation is described in L<DBD::MariaDB::INSTALL>.

=head2 Support

This module comes with no warranty and is distributed as is.

To participate in a general discussion about Perl DBI with other DBI users,
subscribe to the mailing list by sending an email to
L<C<dbi-users-subscribe@perl.org>|mailto:dbi-users-subscribe@perl.org>.

Mailing list archives are available at the
L<Perl DBI Users' Forum|https://groups.google.com/forum/#!forum/perl.dbi.users>.

=head2 License

This module is released under the same license as Perl itself. See
L<Perl Licensing|https://dev.perl.org/licenses/> for details.

=head2 Contributing

Contributions are welcome.
